summaryrefslogtreecommitdiffstats
path: root/test/Attic/testenc
diff options
context:
space:
mode:
authorRichard Levitte <levitte@openssl.org>2015-04-21 21:10:01 +0200
committerRichard Levitte <levitte@openssl.org>2015-09-07 16:10:58 +0200
commit71a4f2832c3fe02d026af8241767ee80f440e876 (patch)
tree9c8ae80698b015f07ef6198b95ea02a6f6ddae08 /test/Attic/testenc
parentfd9ad2300b280c0f71d24456bfbf04579331bc94 (diff)
Remove old testing scripts out of the way.
For now, I'm moving them into Attic/. They will be removed later. Reviewed-by: Rich Salz <rsalz@openssl.org>
Diffstat (limited to 'test/Attic/testenc')
-rw-r--r--test/Attic/testenc36
1 files changed, 36 insertions, 0 deletions
diff --git a/test/Attic/testenc b/test/Attic/testenc
new file mode 100644
index 0000000000..941a302ff7
--- /dev/null
+++ b/test/Attic/testenc
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+testsrc=testenc
+test=./p
+
+cmd="../util/shlib_wrap.sh ../apps/openssl"
+
+cat $testsrc >$test;
+
+echo cat
+$cmd enc < $test > $test.cipher
+$cmd enc < $test.cipher >$test.clear
+cmp $test $test.clear || exit 1
+/bin/rm $test.cipher $test.clear
+
+echo base64
+$cmd enc -a -e < $test > $test.cipher
+$cmd enc -a -d < $test.cipher >$test.clear
+cmp $test $test.clear || exit 1
+/bin/rm $test.cipher $test.clear
+
+for i in `$cmd list -cipher-commands`
+do
+ echo $i
+ $cmd $i -bufsize 113 -e -k test < $test > $test.$i.cipher
+ $cmd $i -bufsize 157 -d -k test < $test.$i.cipher >$test.$i.clear
+ cmp $test $test.$i.clear || exit 1
+ /bin/rm $test.$i.cipher $test.$i.clear
+
+ echo $i base64
+ $cmd $i -bufsize 113 -a -e -k test < $test > $test.$i.cipher
+ $cmd $i -bufsize 157 -a -d -k test < $test.$i.cipher >$test.$i.clear
+ cmp $test $test.$i.clear || exit 1
+ /bin/rm $test.$i.cipher $test.$i.clear
+done
+rm -f $test